//	ＡＩＧライブラリ　基本関数：ウエイト関数
//		Copyright (C) 1989-1994 by AIG-SOFT

#ifndef	__AIG_WAIT__
#define	__AIG_WAIT__	1

#include "time.h"
#include "deftype.h"

#ifdef	__cplusplus
// 95/11 : G++対応
extern	"C" {
#endif
#ifdef	__PROTO_TYPE
	int	vwait(int);
	time_t	CalcWait(void);
	void	secwait(time_t);
	void	TWait(time_t);
	void	onwait(int);
	int	ChkWait100(long ,int (*)());
	void	WAIT_HSYNC(void);
	void	WAIT_VDISP(void);
#else
	int	vwait();
	time_t	CalcWait();
	void	secwait();
	void	TWait();
	void	onwait();
	int	ChkWait100();
	void	WAIT_HSYNC();
	void	WAIT_VDISP();
#endif
#ifdef	__cplusplus
}
#endif

#endif
